CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

RoundDistance Property (ActiveX)

2023-1-3 07:18| 发布者: admin| 查看: 305| 评论: 0|来自: AutoCAD

摘要: 指定尺寸单位的舍入。

指定尺寸单位的舍入。

支持的平台:仅窗口

签名

工 务 局:

object.RoundDistance
对象

类型:对齐,暗弧长度,暗径,暗坐标径,暗大,暗心旋转

此属性适用的对象。

属性值

只读:

类型:

一个正实数,表示要舍入距离的值。初始值为 0.00。

言论

此属性将所有尺寸标注距离舍入为指定值。例如,如果此属性设置为 0.25,则距离将舍入到最接近的 0.25 单位。如果将此属性设置为 1.0,则维度的距离将舍入到最接近的整数。请注意,在小数点后编辑的位数取决于属性或 DIMDEC 系统变量设置的精度。此属性不适用于角度尺寸。PrimaryUnitsPrecision

注意:此属性将覆盖给定维度的 DIMRND 系统变量的值。

例子

工 务 局:

Sub Example_RoundDistance()
    ' This example creates an aligned dimension in model space and
    ' uses RoundDistance to set the unit display
    ' of the dimension to rounded values

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 10.123: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    
    ThisDrawing.Application.ZoomAll
    
    MsgBox "Press any key to round the dimension unit display to .5"
    
    ' Round the distance of the dimension to 0.50 of a unit
    dimObj.RoundDistance = 0.5
    ThisDrawing.Regen acAllViewports
    
    MsgBox "Dimension units have been rounded to: " & dimObj.RoundDistance

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_RoundDistance()
    ;; This example creates an aligned dimension in model space and
    ;; uses RoundDistance to set the unit display
    ;; of the dimension to rounded values
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 10.123 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))

    (vla-ZoomAll acadObj)
    
    (alert "Dimensions value will now be rounded to the nearest 0.50 of a unit")
    
    ;; Round the distance of the dimension to 0.50 of a unit
    (vla-put-RoundDistance dimObj 0.5)
    (vla-Regen doc acAllViewports)
    
    (alert (strcat "Dimension units have been rounded to: " (rtos (vla-get-RoundDistance dimObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 21:36

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部